Subject: Kombucha or "Manchurian Mushroom"

From: Steve Davies <[email-masked]>
Date: 15 Mar 1995 20:57:32 GMT

I know this topic has been flogged to death lately but I recently received a request from an official in our Health Department (I am a research scientist working for the Government of Alberta in Western Canada) for information on Kombucha with regard to possible health concerns.  I seem to recall postings of a couple of newspaper articles with reference to FDA concerns over use of this product; unfortunately I did not retain this information.  I would appreciate any relevant info on the subject.
Thank you.